Technical FAQs

Ask a Question

Choosing the Correct NMC Firmware Upgrade Executable for Your Modular PDU

Issue

Choosing the Correct Firmware Upgrade Executable for Your Modular PDU: Because the Network Management Card (NMC) hardware used by some Modular PDUs has been from NMC1 to NMC2, it is important to check which NMC is installed in your Modular PDU before attempting a firmware upgrade. Any attempt to update the NMC with incompatible firmware will generate a “Transfer Failed” notification.
 
 
Product line
  • PDPM144F
  • PDPM277H
  • PDPM288G6H
  • PDPM72F-5U
  • PDPM138H-5U
  • PDPM138H-R
  • Spare Part Kit W0G-9354-01 has been replaced by 0J-0G-9354A-01
  • Spare Part Kit 0J-0M-10217 has been replaced by 0J-0M-10217A
 
Environment
  • All Product models
  • All serial numbers
 
Cause

The Network Management Card hardware for the Modular PDUs listed under “Products affected” has been upgraded from NMC1 to NMC2.
  • For Modular PDUs using NMC1, you must use firmware version 3.7.2 (firmware SKU: SFPDUM372). If you attempt to use the NMC2 firmware download (SFPDUM644 or higher), the Modular PDU will generate a “Transfer Failed” notification. 

  • For Modular PDUs using NMC2, you must use firmware version xpdu2g v6.4.4 (firmware SKU: SFPDUM644 to be posted on apc.com) or higher. If you attempt to use the NMC1 firmware download (SFPDUM372), the Modular PDU will generate a “Transfer Failed” notification.  Attempting to upload incompatible firmware will not harm the operation of your Modular PDU. The existing firmware and settings will not be erased and the PDU will continue normal operation. The only consequence of attempting to upgrade incompatible firmware will be the “Transfer Failed” message.


Resolution

To determine whether you have downloaded the firmware upgrade which is compatible with your Modular PDU, log in to the Modular PDU’s Web interface before you attempt the firmware upgrade.  There are two ways to determine the firmware version your PDU is using:
  1. The NMC1 and NMC2 Web interfaces are not the same color.
    1. If the Web interface is blue, your Modular PDU is using the NMC1 and you must use the Modular PDU firmware version 3.7.2 (SKU: SFPDUM372). Do not attempt to upload firmware files that end in “6xx” to your system.
    2. If the Web interface is green, your Modular PDU is using the NMC2 and requires Modular PDU firmware version 6.4.4 or higher (SKU: SFPDUM644 or higher). Do not attempt to upload firmware files that end in “3xx” to your system.

  2. Select the left navigation menu option “About”, and look for the field which specifies the firmware version used by your Modular PDU.
    1. If the About page mentions firmware version SFPDUM372, your Modular PDU is using the NMC1.  Do not attempt to upload firmware files that end in “6xx” to your system.
    2. If the About->Network page mentions firmware version SFPDUM644, your Modular PDU is using the NMC2. Do not attempt to upload firmware files that end in “3xx” to your system.

    3.  
If your Modular PDU is currently using an NMC1 and you would like to upgrade to NMC2, please contact your Schneider Electric Services representative for replacement plan details.

Additional Information

At a high level, modular PDUs have a mix of NMC hardware and firmware options, depending on the mPDU SKU.

These models listed directly below historically have used embedded NMC1 brains, 0G-9354-01 and xrdp v3.X.X firmware. A hardware upgrade was created to bring these to the current generaltion of Network Management Card, NMC2. The part number on this new brain is 0G-9354A-01 which is only compatible with the SKUs listed directly below:
  • PDPM72F-5U
  • PDPM138H-5U
  • PDPM138H-R
  • PDPM277H
  • PDPM144F
  • PDPM288G6H

For the updated 0G-9354A-01 hardware to bring the above SKUs to NMC2, xrdp2g v6.4.4 was created and would be the firmware to use if you have an 0G-9354A-01 installed in any of the above SKUs. 

There are other modular PDU models, listed below, that already use NMC2 (model 0G-9357) and with a different application, xrdp v5.1.2. 
  • PDPM150G6F
  • PDPM150L6F
  • PDPM175G6H

There may be a logical assumption that if you have xrdp v5.1.2 on an NMC2, you can now upgrade to xrdp2g v6.4.4 with NMC but you cannot. At this time, SKUs that support xrdp v5.1.2 still only support v5.1.2 xrdp NMC2 application. And in the reverse, xrdp 5.1.2 does not work with the above list of six SKUs supported by xrdp2g 6.4.4 with 0G-9354A-01. 

There is one SKU PDPB150G6F (not to be confused with PDPM150G6F listed above), which uses a completely different firmware application and has NMC2 already as well (with model 0G-9357-01 brain). This uses x84p app with NMC2 and v5.1.0 is currently available for that model.

Compatibility chart below to summarize. Please contact your local Schneider Electric technical support or services team if you have any questions or need help determining which hardware/firmware upgrades you may be eligible for.
 
Modular PDU Model SKU NMC Brain Compatibility Firmware Application Support
  • PDPM72F-5U
  • PDPM138H-5U
  • PDPM138H-R
  • PDPM277H
  • PDPM144F
  • PDPM288G6H
  • 0G-9354-01 NMC1
  • v3.X.X NMC1 xrdp application
  • 0G-9354A-01 NMC2
  • v6.4.4 and higher NMC2 xrdp2g application only
  • PDPM150G6F
  • PDPM150L6F
  • PDPM175G6H
  • 0G-9357 NMC2
  • v5.1.2 NMC2 xrdp application only
  • PDPB150G6F
  • 0G-9357-01 NMC2
  • v5.1.0 NMC2 x84p application only
Was this helpful?
What can we do to improve the information ?